Subject: bug#538: eudev: error message while booting a machine with btrfs

From: Wilfried Klaebe <[email-masked]>
Date: Mon, 11 Jan 2021 17:31:25 +0100

Package: eudev
Version: 3.2.9-8
Severity: normal

Dear Maintainer,

   * What led up to the situation?

While booting a machine with BTRFS, this error message appeared:

Waiting for /dev to be fully populated...[    5.637002] udevd[458]: failed to execute '/lib/udev/${exec_prefix}/bin/udevadm' '${exec_prefix}/bin/udevadm trigger -s block -p ID_BTRFS_READY=0': No such file or directory

   * What outcome did you expect instead?

This error message not appearing.

   * What exactly did you do (or not do) that was effective (or
     ineffective)?

I traced this back to /lib/udev/rules.d/64-btrfs.rules, line 14:

ENV{ID_BTRFS_READY}=="1", RUN+="${exec_prefix}/bin/udevadm trigger -s block -p ID_BTRFS_READY=0"

Removing the '${exec_prefix}' makes the error message go away. I do not see any negative impact.

I have looked at https://git.devuan.org/devuan/eudev/src/branch/master/rules/64-btrfs.rules.in
but have no idea what to replace @bindir@ with to resolve this.

Best regards

Wilfried

-- Package-specific info:

-- System Information:
Distributor ID:	Devuan
Description:	Devuan GNU/Linux 4 (chimaera/ceres)
Release:	testing/unstable
Codename:	n/a
Architecture: x86_64

Kernel: Linux 5.9.0-5-amd64 (SMP w/2 CPU threads)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8), LANGUAGE not set
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)

Versions of packages eudev depends on:
ii  adduser      3.118
ii  debconf      1.5.74
ii  libblkid1    2.36.1-3+devuan1
ii  libc6        2.31-6
ii  libeudev1    3.2.9-8
ii  libkmod2     27+20200310-2
ii  libselinux1  3.1-2+b2
ii  lsb-base     11.1.0
ii  procps       2:3.3.16-5+devuan1
ii  util-linux   2.36.1-3+devuan1

eudev recommends no packages.

eudev suggests no packages.

-- no debconf information